Building Math-GSL-0.23 on Windows. #1

Closed
aero opened this Issue Mar 17, 2011 · 7 comments

2 participants

@aero

Do I need pkg-config to build Math-GSL?
it is not on Windows. :(

@leto
Owner

Yes, currently you need pkg-config to build Math::GSL. Do you have suggestions for what to do if it is not available? Patches welcome!

@leto
Owner

What happens when you install ExtUtils::PkgConfig ?

@aero

cpan> force install ExtUtils::PkgConfig
Database was generated on Thu, 17 Mar 2011 11:32:54 GMT
Running install for module 'ExtUtils::PkgConfig'
Running make for T/TS/TSCH/ExtUtils-PkgConfig-1.12.tar.gz
Checksum for C:\strawberry-perl-5.12.2.0\cpan\sources\authors\id\T\TS\TSCH\ExtUtils-PkgConfig-1.12.tar.gz ok
Scanning cache C:\strawberry-perl-5.12.2.0\cpan\build for sizes
............................................................................DONE

CPAN.pm: Going to build T/TS/TSCH/ExtUtils-PkgConfig-1.12.tar.gz

'pkg-config'은(는) 내부 또는 외부 명령, 실행할 수 있는 프로그램, 또는
배치 파일이 아닙니다.


*** ExtUtils::PkgConfig requires the pkg-config utility, but it doesn't
*** seem to be in your PATH. Is it correctly installed?
.
.
.

@leto
Owner

According to http://pkg-config.freedesktop.org/wiki/ pkg-config can be installed on Windows. So you need to install pkg-config :)

@aero

Do I need to install gnu-win32 pkg-config utils to build Math::GSL?
I want to install the module via cpan without external util. or pre-packaged ppm.

@leto
Owner

I really don't know, I don't use Windows. You should ask on this mailing list:

https://groups.google.com/group/math-gsl-dev

There are people on that list that use Math::GSL on Windows.

@leto leto closed this Mar 17, 2011
@aero
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment